# Execute Library Function Executes a specific function from a formula library element without requiring a full formula logic implementation. Parameters are provided via the request payload and the calculated result is returned. >Note: >- This endpoint does not work with inputs bindings. Provide ordered function arguments instead. >- Used by the Pricefx MCP server to enable Groovy-configured MCP Tools. >- Requires the PRICINGFORMULA_EXECUTE permission. Endpoint: POST /formulamanager.executelibraryfunction/{formulaName}/{elementName}/{functionName} Security: basic, X-PriceFx-jwt ## Path parameters: - `formulaName` (string, required) Name of the formula library containing the function. - `elementName` (string, required) Name of the library element containing the function. - `functionName` (string, required) Name of the function to execute. ## Request fields (application/json): - `data` (object) - `data.allowObjectMods` (boolean) Specifies whether the logic may internally perform modifications. Defaults to false. - `data.functionArgs` (array) An array of input arguments, that will be passed in order to the function call. Note, do not provide the parameter names, only the ordered literal values you want passed in. ## Response 200 fields ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields